# Uses of Class
it.tdlight.jni.TdApi.ChatPhotoInfo

## Uses of TdApi.ChatPhotoInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatPhotoInfo
Modifier and Type
Field
Description
`TdApi.ChatPhotoInfo`
TdApi.Chat.`photo`
Chat photo; may be null.
`TdApi.ChatPhotoInfo`
TdApi.ChatInviteLinkInfo.`photo`
Chat photo; may be null.
`TdApi.ChatPhotoInfo`
TdApi.PageBlockChatLink.`photo`
Chat photo; may be null.
`TdApi.ChatPhotoInfo`
TdApi.UpdateChatPhoto.`photo`
The new chat photo; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatPhotoInfo
Modifier
Constructor
Description
``
`Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, boolean isMarkedAsUnread, boolean isBlocked, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, TdApi.ChatNotificationSettings notificationSettings, int messageTtlSetting, String themeName, TdApi.ChatActionBar actionBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)`
A chat.
``
`ChatInviteLinkInfo(long chatId, int accessibleFor, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, String description, int memberCount, long[] memberUserIds, boolean createsJoinRequest, boolean isPublic)`
Contains information about a chat invite link.
``
`PageBlockChatLink(String title, TdApi.ChatPhotoInfo photo, String username)`
A link to a chat.
``
`UpdateChatPhoto(long chatId, TdApi.ChatPhotoInfo photo)`
A chat photo was changed.